Subject: Re: II.5 feedback, etc.
From: "Victor J. Wilczynski" <[email-masked]>
To: [email-masked]
Date: Mon, 12 Mar 2012 19:46:10 -0400

Professor Junker,

I had forgot to submit my peer evaluations on friday and was reminded
today by this email.  Although i know it is too late for them to effect my
grade, i still think it is important that i award the hard work of my team
members by providing positive feedback.  Attached are my team member
evaluations.

Thanks,

Victor Wilczynski

> Please find attached
>
> * II.5 feedback
> * comments on midterm grades
>
> Peer evaluations were either positive or very positive for everyone.
> A common theme from most teams is that very minor communication
> breakdowns occur sometimes.  If you are especially quiet, make sure
> people know what you think at team meetings.  If you do work on your
> own, make sure others know when it is done and ready to share (and
> give them plenty of time to read and react).  Even though everyone is
> busy, answering email promptly and being good about agreed-upon
> starting and ending times of team meetings also helps.
>
> hope you are having a great break,
>
> -BJ
>
>